EventBase::gotExit
EventBase::loop
EventBase
PHP Manual

# EventBase::gotStop

(PECL event >= 1.2.6-beta)

EventBase::gotStop — Checks if the event loop was told to exit

### Description

public bool EventBase::gotStop ( void )

Checks if the event loop was told to exit by EventBase::stop() .

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE`, event loop was told to stop by EventBase::stop() . Otherwise `FALSE`.

### See Also

- EventBase::exit() - Stop dispatching events
- EventBase::stop() - Tells event_base to stop dispatching events
- EventBase::gotExit() - Checks if the event loop was told to exit

EventBase::gotExit
EventBase::loop
EventBase
PHP Manual